#ifndef LIBNFS_H
	#define LIBNFS_H

	typedef struct nfsFILE nfsFILE;
	typedef struct nfsDIR nfsDIR;
	
	ssize_t nfsRead(nfsFILE *, void *, size_t);
	ssize_t nfsWrite(nfsFILE *, const void *, size_t);
	int nfsClose(nfsFILE *);
	nfsFILE *nfsOpen(const char *, int);
	int nfsCreate(const char *, mode_t);
	int nfsUnlink(const char *);

	int nfsReadlink(const char *, char *, size_t);
	int nfsSymlink(const char *, const char *);
	int nfsLink(const char *, const char *);
	int nfsRename(const char *, const char *);
	int nfsMknod(const char *, mode_t, dev_t);
	
	nfsDIR *nfsOpendir(const char *);
	int nfsClosedir(nfsDIR *);
	char *nfsReaddir(nfsDIR *);
	int nfsMkdir(const char *, mode_t);
	int nfsRmdir(const char *);
	int nfsChdir(const char *);
	
	int nfsChown(const char *, uid_t);
	int nfsFchown(nfsFILE *, uid_t);
	int nfsChgrp(const char *, gid_t);
	int nfsFchgrp(nfsFILE *, gid_t);
	int nfsChmod(const char *, mode_t);
	int nfsFchmod(nfsFILE *, mode_t);
	int nfsStat(const char *, struct stat *);
	int nfsFstat(nfsFILE *, struct stat *);

	int nfsMount(const char *, const char *);
	int nfsUmount(const char *);

	int nfsSetuid(uid_t);
#endif
